import { shallowMount } from "@vue/test-utils";
import FunnelSubHeader from "./funnel-sub-header";

describe("FunnelSubHeader.vue", () => {
    it("Should render the 'text' data value as a span value for the header span text value.", async () => {
        // Act
        const wrapper = shallowMount(FunnelSubHeader, {
            mixins: [mockMixin],
        });
        wrapper.vm.clickEvent();

        // Assert
        expect(wrapper.emitted()).toEqual({ "click-event": [[]] });
    });
});

const mockMixin = {
    methods: {
        getCmsContent: jest.fn(),
    },
};
